#ifndef CRINGBUFF_H
#define CRINGBUFF_H

#include <QPoint>
#include <vector>
class QPainter;

		
class CRingBuff
{
	const uint m_Len;
	typedef QPoint td_element;
	typedef std::vector<td_element> td_Buffer;
	
	td_Buffer m_Buffer;
	
	//  
	td_Buffer::iterator m_Beg;
	td_Buffer::iterator m_End;
	
	bool m_bIsEmpty;
		
public:
    CRingBuff(uint m_Len/*=200*/);
	
	void push(const td_element& e);
	bool pop(td_element& e);
	void MakeEmpty();
	void PaintIt(QPainter& p);
};

#endif // CRINGBUFF_H
