#include "CRingBuff.h"
#include <QPainter>

CRingBuff::CRingBuff(uint m_Len):m_Len(m_Len)
{
	MakeEmpty();
}

void CRingBuff::MakeEmpty()
{
	m_Buffer.assign(m_Len,td_Buffer::value_type());
	m_Beg=m_Buffer.begin();
	m_End=m_Buffer.begin();
	m_bIsEmpty=true;
}

void CRingBuff::push(const td_element& e)
{
	if(m_bIsEmpty)
	{
		//  
	}
	else
	{
		// 
		if(m_Beg==m_End)
		{
			//  
			
			//   
			m_Beg++;
			if(m_Beg==m_Buffer.end())
			{
				m_Beg=m_Buffer.begin();
			}
			
			//    
		}
		else
		{
			// ,  
		}
		
	}
	
	//  
	*m_End=e;
	m_End++;
	if(m_End==m_Buffer.end())
	{
		m_End=m_Buffer.begin();
	}
	
	m_bIsEmpty=false;
}

bool CRingBuff::pop(td_element& e)
{
	if(m_bIsEmpty)return false;
	
	//  
	e=*m_Beg;
	m_Beg++;
	
	if(m_Beg==m_Buffer.end())
	{
		m_Beg=m_Buffer.begin();
	}
	
	if(m_Beg==m_End)
	{
		m_bIsEmpty=true;
	}
	
	return true;
}

void CRingBuff::PaintIt(QPainter& p)
{
	if(m_bIsEmpty)return;
	
	bool bUse2;
	td_Buffer::iterator Beg1;
	td_Buffer::iterator End1;
	td_Buffer::iterator Beg2;
	td_Buffer::iterator End2;
	
	if(m_End>m_Beg)
	{
		Beg1=m_Beg;
		End1=m_End+1;
	}
	else
	{
		Beg1=m_End;
		End1=m_Buffer.end();
		
		Beg2=m_Buffer.begin();
		End2=m_Beg+1;
		
		bUse2=true;
	}
	
		p.drawPoints(&*Beg1,End1-Beg1);
	if(bUse2)
	{
		p.drawPoints(&*Beg2,End2-Beg2);
	}
}
