#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <ui_MainWindow.h>
class CRingBuff;

class MainWindow : public QMainWindow, Ui_MainWindow
{
    Q_OBJECT
	
	CRingBuff* m_Buffer;
	double m_t;//
public:
    MainWindow();
    ~MainWindow();
private slots:
    void Start();
    void Stop();
    void Clear();
	
    void NewFrame();
	
    void SetFreqX(int CurrentFreqX);
    void SetFreqY(int CurrentFreqY);
    void SetAmpX(int CurrentAmpX);
    void SetAmpY(int CurrentAmpY);
    void SetPhaseX(int CurrentPhaseX);
    void SetPhaseY(int CurrentPhaseY);
private:
    QTimer *timer;
    int w1, w2, w0, R1, R2, f1, f2, i, j;
    QMatrix *matrix;
//    QVector<double> TraceBufferX;
  //  QVector<double> TraceBufferY;
protected:
    virtual void paintEvent(QPaintEvent *event);
};

#endif // MAINWINDOW_H
